// eslint-disable-next-line import/no-duplicates
import React from 'react';
// eslint-disable-next-line import/no-duplicates

import styles from "./css/view2.module.scss";
var DefaultItemRenderer = function DefaultItemRenderer(_ref) {
  var checked = _ref.checked,
    option = _ref.option,
    onClick = _ref.onClick,
    disabled = _ref.disabled;
  return /*#__PURE__*/React.createElement("div", {
    className: "item-renderer " + (disabled ? 'disabled' : '')
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.rows
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.input
  }, /*#__PURE__*/React.createElement("input", {
    type: "checkbox",
    onChange: onClick,
    checked: checked,
    tabIndex: -1,
    disabled: disabled
  })), option.shopImg ? /*#__PURE__*/React.createElement("div", {
    className: styles.right
  }, /*#__PURE__*/React.createElement("div", {
    className: styles.img
  }, /*#__PURE__*/React.createElement("img", {
    src: option.shopImg
  })), /*#__PURE__*/React.createElement("div", {
    className: styles.detail
  }, /*#__PURE__*/React.createElement("div", null, option.label), /*#__PURE__*/React.createElement("div", null, option.price1))) : /*#__PURE__*/React.createElement("div", {
    className: styles.detail
  }, /*#__PURE__*/React.createElement("div", null, option.label), /*#__PURE__*/React.createElement("div", null, option.price1))));
};
export default DefaultItemRenderer;